Kernel32.dll

Discussion in 'Player Support' started by Oscilioth, Apr 19, 2017.

Thread Status:
Not open for further replies.
  1. Derd Augur

    Support can't really help you, follow the change files process and you can play. If they find a way to fix it great, but you can get around it for now.
  2. Bigfan Augur

  3. Drcoracle Journeyman

    Seems to me breaking the launcher is an early warning sign. Right now you can get around it. But if and when they write some new code for the game itself, and use a new procedure call and if you are running anything less than Win 7x...................... o_O
  4. Aghinem Augur

    For those who maintain a hard-on for XP & Windows 7 - I would suggest just upgrading to Windows 8 or 10 for the sake of compatibility; and use Oracle Virtual Machine (freeware) to run any Windows OS you want for older programs. I have Oracle VM on my machine for those 16 bit programs that are not functional in a 64 bit environment. Runs great.
  5. Corwyhn Lionheart Augur

    I don't believe in picking on people because they still use XP but I also don't expect Everquest to go anywhere soon just because you can't run the launcher with XP either.
  6. Kahlev Al-Calen Augur

    For someone with the rank of Augur on the forums, you sure see to totally ignore what running EQ on a virtual machine can do to your account :p

    Also, i can't help but notice that a lot of the people defending the change and telling to people to "upgrade" are... "eggs accounts" whose main activity are on this and the other related threads telling people off... almost as if they were unable to use their main accounts for "reasons". May Karana forbid being caught making a change you were not told to on the updater, then trying to justify your change and blaming the users for it.

    My XP machine is a Ford Galaxie 1967. It might not be the most fuel efficient, or the fastest, or the safest, but it runs, i have maintanted it to run, and does what is intended to do. I am not going to replace it for a cheap chinese 2017 car just to run EQ, because that piece of crap will melt away in 2 months given the conditions of the place i live it. And no matter how much you tell me otherwise, a machine comparable to my XP box does indeed cost well over $1000 here, and even if i were to buy parts from newegg it would still cost over $800 and take between 2 and 8 months to arrive (and then again, i would have no guarantee coverage). Buying from ebay? i have gotten my share of wooden logs, polystations and hardware that breaks down in 3 months already, thanks but no.

    I play EQ because it runs on my XP box. If i had a better machine i would be playing a better game.
    toodlem likes this.
  7. Bigfan Augur

    You read it wrong Kahlev, he is talking running older environment games, not EQ. Your whole post is flat out bullpucky.

    I recently upgraded (see full install) of windows 10 from XP, was wife's old PC and she had it capped at 3.25mb ram due to windows 32bit limitation, when I updated it to 120gb SSD and windows 10, popped in more ram (8gb max) and a video card (750ti). PC went from barely running, into a PC that could run newer games with barely a cough.

    Basically I turned that old car into a hotrod (you people like these dumb car analogies)with little spent on it, since you can find all those upgrade parts for a little less than 150$.

    Windows 10 handles (with 8 GB ram) like a dream compared to XP, and if you get classic shell, ads are gone, put it to basic telemetry and spyware is almost non-existent . So all of the tinfoil hat stuff for XP is just that, people living in the past.

    If you run Vista, I got other words for you, that OS is and always will be garbage.

    XP is not a good OS, it's full of memory leaks, backdoors, ease of malware. Good luck on it, because I'd be surprised if your PC isn't already in a botnet.
    Corwyhn Lionheart and Aghinem like this.
  8. Aghinem Augur


    Please point out anywhere in my statement that I suggested running EQ from VM.
  9. Godlike1 New Member

    I think your stupid a lot of their customers use these systems why would people update their OS when this is the only game they play. Daybreak would be doing them a favor if they didnt fix this issue probably save peoples lives and they would lose alot of customers in the process.
  10. Corwyhn Lionheart Augur

    Because the majority of their customers don't run XP and they can give them a better game experience by not tying themselves to XP. Never mind the added costs of trying to keep the game backwards compatible with a very old and outdated OS.

    Unlike some I don't insult those who still want to keep using XP but I also have to say if that is the case you might not be able to play EQ anymore and if you bad talk Daybreak because they don't support such an old system you are just making yourself look silly.

    Still using XP is your choice.
    XP is not safe to use though unless all you do is log in to EQ and even then I think it is iffy.
    Daybreak is being completely reasonable in not supporting it any longer any customer saying otherwise is being silly.
    No one will force anyone to upgrade their OS.
  11. nantalbus Elder

    What I find funny is this is the same crap that happened back when SOE stopped making the game run with windows 95/98/ME/NT and mac. And it still happen when windows 7 and 8 have been stopped supported by MS and are to old to run newer software when it comes out.
  12. Bigfan Augur

    This was 2005, year after 9.0c was released, when they updated .
    I dug up the whine threads, they were more glorious than this, as it was much shorter period between OS time. So count yourselves lucky XP/Vista users, the devs have been lazy.

    July 11, 2006 = win 98 end of life
    April 8, 2014 = win xp end of life
    April 11th, 2017 = win vista end of life

    We are now 13 years past 9.0c, time for an upgrade to DX11 or 12!

    We are FAR overdue for a direct x update on EQ. So maybe the up coming patch/expansion will finally kill EQgame.exe for those old operating systems.

    And I say again, even WoW this year, ends vista and xp support, so time to either update or live without.
    Zirquel and Corwyhn Lionheart like this.
  13. Ckal New Member

    Can anyone offer a list of upgraded files from the patcher so I can manually patch my system? (I can cut/paste on my own.) I don't download files from people/sources I don't know, which is why my XP box has been solid as a rock for years.

    Thanks in advance!
  14. Bigfan Augur

    Well okay then, and no you can just transfer the whole folder for all I care.
  15. Ckal New Member

    No need for drama. Just asking. And yes, I can transfer the folder from another machine, which I'll probably do. Just my way of keeping keyloggers and malware off my rig.
  16. Bigfan Augur

    Yes, and now you made me rethink helping out with my time building a install to make it easier, so ya Last time I do that. Congrats for being another one of the paranoid tinfoil hat masses.
  17. Drcoracle Journeyman


    I love it when people gripe about the Dev's not improving the game mechanics, or graphics, or overall performance, but then gripe when they start using better code that requires newer procedure calls. While the launchpad is not the game, upgrading it with newer code, is a wake-up call.
    You want a better game, then upgrade to a better OS, and argument aside, Vista and XP have been dead to newer gaming for some time. And if you want to delve into politics, visit the group "Drain the Swamp," on Facebook.
  18. nantalbus Elder

    While I can see the point of some of the people using older OS. In order to keep EQ going and such at some point this has to happen.

    Like a few of people in this thread who are saying that its time to end the backwards going. Is that to keep the game going its got to grow in ways to bring in new blood and keep up with other games in the same area such as wow. One of the biggest issue I have heard with people who have tried the game and quit for the 1st time is that the graphic are so out of date. In keeping it backwards working on older OS daybreak can't use newer graphic stuff. As older OS/systems may not be able to handle the graphic cards and stuff such as the newer dx. What eq is still using dx9 when we at what dx11 for graphics.

    It the same thing that happened when eq stopped working on windows 95/98/ME and other older OS. At some point in order to grow the game and keep it going you have to start using current software/graphics/etc to keep the game going vs other games in the same area.

    When MS ended support for XP/vista and daybreak changed its min sys req to needing windows 7. Even though they said they try and keep it backwards working as well as they could the writing was on the wall and everyone who was using anything under 7 should have know that it was just a matter of time and been planning for this. And sense windows 7 is in its end of life part anyone using 7 should be planning for this to happen in a few years.

    The only people I feel sorry for are the ones who because of money can't buy a newer computer. Anyone who can but won't cause they don't trust/like windows pass XP/vista. All I can say is if you chose to stay with a older OS is you made your bed now you can sleep in it. You should know that at some point you not going be able to keep playing newer made games or games such has eq that are on going and always being updated to work with the newest OS/sotfware/hardware as it come out.
    Jumbur likes this.
  19. Acen Elder

    News Flash, this is an old game. You can forget about them making it current and trying to attract new players. Whatever they try to upgrade to its not even close to what would attract younger players, they expect and feel entitled to the best of everything. Its for old players with old machines for them to edge them out would be stupid. All that being said I am on windows 10, I just don’t think with this game and the loyal players they have they should expect them to upgrade for such an old game.
  20. Janakin Augur

    Then they should stop releasing new content too and only develop the game with XP and Vista SDKs.

    The game is evolving and you cannot use its age as a OS determining factor. I played it originally on Windows 98! Where are the cries for that to still be supported? In a long forgotten thread somewhere circa 2004.
    Corwyhn Lionheart likes this.
Thread Status:
Not open for further replies.

Share This Page